Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory Class Reference
Inheritance diagram for eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory:

## Public Member Functions
| registerFieldType ($fieldTypeServiceId, $fieldTypeAlias)
| Registers an eZ Publish field type. More...
| getFieldTypes ()
| Returns registered field types (as closures to be lazy loaded in the public API). More...
| registerConcreteFieldTypeIdentifier ($fieldTypeIdentifier)
| Registers $fieldTypeIdentifier as "concrete" FieldType (i.e. More...
| getConcreteFieldTypesIdentifiers ()

## Protected Attributes
| $fieldTypes = []

## Private Attributes
| $concreteFieldTypesIdentifiers = []

## Detailed Description

Definition at line 12 of file FieldTypeCollectionFactory.php.

## Member Function Documentation

## ◆ getConcreteFieldTypesIdentifiers()

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory::getConcreteFieldTypesIdentifiers | ( |  | ) |

Definition at line 65 of file FieldTypeCollectionFactory.php.

References eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory\$concreteFieldTypesIdentifiers.

## ◆ getFieldTypes()

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory::getFieldTypes | ( |  | ) |

Returns registered field types (as closures to be lazy loaded in the public API).

Returns
  \Closure[]

Definition at line 50 of file FieldTypeCollectionFactory.php.

References eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory\$fieldTypes.

Referenced by eZ\Publish\Core\Base\Container\ApiLoader\Storage\FieldTypeRegistryFactory\buildFieldTypeRegistry().

## ◆ registerConcreteFieldTypeIdentifier()

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory::registerConcreteFieldTypeIdentifier | ( |  | $fieldTypeIdentifier | ) |

Registers $fieldTypeIdentifier as "concrete" FieldType (i.e.

not using NullFieldType).

Parameters

  string | $fieldTypeIdentifier |

Definition at line 60 of file FieldTypeCollectionFactory.php.

## ◆ registerFieldType()

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory::registerFieldType | ( |  | $fieldTypeServiceId,
|  |  | $fieldTypeAlias
| ) |  |

Registers an eZ Publish field type.

Field types are being registered as a closure so that they will be lazy loaded.

Parameters

  string | $fieldTypeServiceId | The field type service Id
  string | $fieldTypeAlias | The field type alias (e.g. "ezstring")

Definition at line 37 of file FieldTypeCollectionFactory.php.

## Member Data Documentation

## ◆ $concreteFieldTypesIdentifiers

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory::$concreteFieldTypesIdentifiers = []
| private

Definition at line 28 of file FieldTypeCollectionFactory.php.

Referenced by eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory\getConcreteFieldTypesIdentifiers().

## ◆ $fieldTypes

eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory::$fieldTypes = []
| protected

Definition at line 21 of file FieldTypeCollectionFactory.php.

Referenced by eZ\Publish\Core\Base\Container\ApiLoader\FieldTypeCollectionFactory\getFieldTypes().

The documentation for this class was generated from the following file:

- FieldTypeCollectionFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.